package org.nl.acs.device_driver;

import java.util.ArrayList;
import java.util.List;

public interface StorageDeviceDriver extends DeviceDriver {
    default List<Integer> getConfigForbidFront() {
        return new ArrayList();
    }

    default List<Integer> getConfigCantFront() {
        return new ArrayList();
    }

    default List<Integer> getConfigCantBack() {
        return new ArrayList();
    }

    default List<String> getConfigForbidFrontLocation() {
        return new ArrayList();
    }

    default List<String> getConfigCantFrontLocation() {
        return new ArrayList();
    }

    default List<String> getConfigCantBackLocation() {
        return new ArrayList();
    }
}